%define base_name drakx-installer-rescue
%define name %{base_name}-tmb
%define version 1.21
%define release %mkrel 4

Summary: Rescue image adapted for kernel-tmb
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.bz2
Patch0:  %{base_name}-reiser4.patch
Patch2:  %{base_name}-tmb-binaries.patch
Patch3:  %{base_name}-tmb-sqfs.patch
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-XML-Parser squashfs-tools mknod-m600
BuildRequires: ldetect-lst-devel
BuildRequires: hexedit grub rsync openssh-clients krb5-appl-clients kbd strace
BuildRequires: gpart parted partimage
BuildRequires: dump xfsdump eject testdisk extipl
BuildRequires: xfsprogs reiserfsprogs jfsprogs ntfsprogs dosfstools reiser4progs
BuildRequires: mdadm lvm2 dmraid kpartx dmraid-events dmsetup
BuildRequires: setserial
BuildRequires: mt-st
BuildRequires: pciutils ldetect
BuildRequires: packdrake rpmtools
BuildRequires: vim-minimal
BuildRequires: drakx-installer-binaries-tmb >= 1.46-3
BuildRequires: drakxtools-backend drakx-kbd-mouse-x11
BuildRequires: bind-utils nfs-utils-clients wget
BuildRequires: ka-deploy-source-node
BuildRequires: cdialog
BuildRequires: ldetect-lst >= 0.1.222
BuildRequires: ntfs-3g
BuildRequires: cryptsetup photorec quota
BuildRequires: pv

%description
Rescue image based on kernel-tmb

%prep
%setup -q -n %{base_name}-%{version}
%patch0 -p1 -b .reiser4
%patch2 -p1 -b .binaries
%patch3 -p1 -b .tmbsqfs


%build
make -C rescue

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
cp -r rescue/tmbresc.sqfs $dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Wed Jun 16 2010 Thomas Backlund <tmb@mandriva.org> 1.21-4mdv2010.1
+ Revision: 548178
- rebuild for updated e2fsprogs and xfsprogs

* Mon May 31 2010 Thomas Backlund <tmb@mandriva.org> 1.21-3mdv2010.1
+ Revision: 546750
- build against fixed drakx-installer-binaries-tmb-1.46-3mdv

* Thu May 27 2010 Thomas Backlund <tmb@mandriva.org> 1.21-2mdv2010.1
+ Revision: 546457
- rebuild against drakx-installer-binaries-tmb-1.46-2mdv

* Thu May 27 2010 Thomas Backlund <tmb@mandriva.org> 1.21-1mdv2010.1
+ Revision: 546441
- resync patches to apply cleanly
- sync with main drakx-installer-rescue-1.21

* Sun May 09 2010 Thomas Backlund <tmb@mandriva.org> 1.19-1mdv2010.1
+ Revision: 544242
- sync with main drakx-installer-rescue-1.19

* Sat Apr 17 2010 Thomas Backlund <tmb@mandriva.org> 1.18-1mdv2010.1
+ Revision: 535780
- sync with main drakx-installer-rescue-1.18
- rediff patch0, patch1 and patch2 to apply cleanly
- build against drakx-installer-binaries-tmb-1.45-1mdv

* Sun Jan 17 2010 Thomas Backlund <tmb@mandriva.org> 1.16-2mdv2010.1
+ Revision: 492874
- rebuild for updated tools

* Thu Oct 15 2009 Thomas Backlund <tmb@mandriva.org> 1.16-1mdv2010.0
+ Revision: 457565
- sync with main drakx-installer-rescue-1.16
- rebuild against drakx-installer-binaries-tmb-1.42-3mdv
- drop P1 (squashfs4 fix, not needed anymore)

* Wed Sep 30 2009 Thomas Backlund <tmb@mandriva.org> 1.15-3mdv2010.0
+ Revision: 451886
- rename squashfs rescue image so it can coexist with main rescue image

* Fri Sep 25 2009 Thomas Backlund <tmb@mandriva.org> 1.15-2mdv2010.0
+ Revision: 448570
- build againt drakx-installer-binaries-tmb-1.42

* Fri Sep 04 2009 Thomas Backlund <tmb@mandriva.org> 1.15-1mdv2010.0
+ Revision: 431144
- drakx-installer-rescue-tmb uses squashfs4
- rediff patch2 to apply cleanly

  + Thierry Vignaud <tv@mandriva.org>
    - rebase on top of 1.15
    - drop merged patches

* Sat Aug 29 2009 Thomas Backlund <tmb@mandriva.org> 1.14-2mdv2010.0
+ Revision: 422336
- change vol_id to blkid
- rename tmb-binaries patch
- build with squashfs4
- fix path to drakx-installer-binaries-tmb
- build against main drakx-installer-binaries
- build against drakx-installer-binaries-tmb
- build against squashfs3-tools
- fix ext4 support
- fix reiser4 support
- sync with main drakx-installer-rescue-1.14

* Sat Mar 21 2009 Thomas Backlund <tmb@mandriva.org> 1.12-1mdv2009.1
+ Revision: 360015
- add reiser4 support
- adapt for -tmb
- use drakx-installer-rescue-1.12 as base
- Created package structure for drakx-installer-rescue-tmb.

